/*
 * IConversionLRG.h
 *
 *  Created on: 19. 4. 2014
 *      Author: tomas
 */

#ifndef __ICONVERSIONLRG_H__
#define __ICONVERSIONLRG_H__

#include "Conversion.h"

#include <grammar/Regular/LeftRegularGrammar.h>

namespace conversions
{

/**
 * Interface for conversion to left regular grammar.
 */
class IConversionLRG : public Conversion
{
public:
    /**
     * @return rrg equivalent to input.
     */
    virtual grammar::LeftRegularGrammar convert( void ) = 0;

    virtual ~IConversionLRG( void );

};

} /* namespace conversions */

#endif /* __ICONVERSIONLRG_H__ */
