#ifndef __RRGTOFACONVERTER_H__
#define __RRGTOFACONVERTER_H__

#include <grammar/Regular/RightRG.h>
#include <automaton/FSM/NFA.h>

namespace rg2fa
{

/**
 * Converts left regular grammar to finite automaton.
 * Source: Melichar 2.98
 */
class RRGtoFAConverter
{
public:
    /**
     * Performs conversion.
     * @return FSM equivalent to source grammar.
     */
    automaton::NFA convert(const grammar::RightRG& grammar);
};

} /* namespace rg2fa */

#endif /* __RRGTOFACONVERTER_H__ */
