/*
 * LeftToRightRegularGrammar.h
 *
 *  Created on: 8. 3. 2014
 *      Author: Tomas Pecka
 */

#ifndef LEFT_TORIGHT_REGULAR_GRAMMAR_H_
#define LEFT_TORIGHT_REGULAR_GRAMMAR_H_

#include <grammar/Regular/LeftRG.h>
#include <grammar/Regular/RightRG.h>

namespace rg2rg
{

class LeftToRightRegularGrammar
{
public:
   /**
     * Performs conversion.
     * @return right regular grammar which is equivalent to source left regular grammar.
     */
    grammar::RightRG convert(const grammar::LeftRG& lrg);
};

} /* namespace rg2rg */

#endif /* LEFT_TO_RIGHT_REGULAR_GRAMMAR_H_ */
