/*
 * IConversionFSM.h
 *
 *  Created on: 19. 4. 2014
 *      Author: tomas
 */

#ifndef __ICONVERSIONFSM_H__
#define __ICONVERSIONFSM_H__

#include "Conversion.h"

#include <automaton/FSM/FSM.h>

namespace conversions
{

/**
 * Interface for conversion to finite automaton.
 */
class IConversionFSM : public Conversion
{
public:
    /**
     * @return fsm equivalent to input.
     */
    virtual automaton::FSM convert( void ) = 0;

    virtual ~IConversionFSM( void );

};

} /* namespace conversions */

#endif /* __ICONVERSIONFSM_H__ */
